Last modified: 2011-03-23 15:39:10 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26136 - Create Wikisource in Esperanto
Create Wikisource in Esperanto
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Language setup (Other open bugs)
unspecified
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
: shell
Depends on:
Blocks: wikis-to-create
  Show dependency treegraph
 
Reported: 2010-11-27 03:40 UTC by Milos Rancic
Modified: 2011-03-23 15:39 UTC (History)
16 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Milos Rancic 2010-11-27 03:40:44 UTC
I missed to ask for creation of Wikisource in Esperanto last time.

* Language name in native language: Esperanto
* Language code: eo.wikisource.org
* Logo: http://commons.wikimedia.org/wiki/File:Wikisource-logo-eo-small.png
* Project name: Vikifontaro
* Project namespace: Vikifontaro
* The name of the project talk namespace: Vikifontaro diskuto
* Default project timezone: UTC (UTC+0)
Comment 1 Antoine "hashar" Musso (WMF) 2011-01-22 18:09:42 UTC
I have set up the configuration files but I am unable to create the wiki right now. Will need more time to investigate this:

 $ php addwiki.php --wiki eowikisource eo wikisource eowikisource eo.wikisource.org
 DB connection error: Unknown database 'eowikisource' (10.0.6.49)

The script seems really bugged since it should not require --wiki in the first place.
Comment 2 Casey Brown 2011-01-22 23:08:18 UTC
(In reply to comment #1)
> I have set up the configuration files but I am unable to create the wiki right
> now. Will need more time to investigate this:
> 
>  $ php addwiki.php --wiki eowikisource eo wikisource eowikisource
> eo.wikisource.org
>  DB connection error: Unknown database 'eowikisource' (10.0.6.49)
> 
> The script seems really bugged since it should not require --wiki in the first
> place.

<http://wikitech.wikimedia.org/view/Add_a_wiki> says you first need to: « Add the database name to all.dblist and pmtpa.dblist. »

I just looked at all.dblist and couldn't find eowikisource -- that's probably what's causing the problem.
Comment 3 JeLuF 2011-01-23 00:03:17 UTC
Try --wiki=aawiki. As RobH points out in the documentation, the script is a little bit broken and needs this parameter in order to work properly.
Comment 4 Kevin 2011-03-08 20:26:42 UTC
Does anyone know how much longer this is going to be?
Comment 5 Castelobranco 2011-03-12 13:10:43 UTC
(In reply to comment #4)
> Does anyone know how much longer this is going to be?

Good question, I think this is a record: while eo.wikinews (25774) took nine days, eo.wikisource waits for almost 4 months (and still counting...)! Seriously, if there's something the Esperanto community could do in order to help or explain, please let us know. Maybe the magic conversion (cx|ĉ, gx|ĝ, hx|ĥ, jx|ĵ, sx|ŝ, ux|ŭ)? Or the domain names?
Comment 6 Roan Kattouw 2011-03-12 15:10:58 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > Does anyone know how much longer this is going to be?
> 
> Good question, I think this is a record: while eo.wikinews (25774) took nine
> days, eo.wikisource waits for almost 4 months (and still counting...)!
> Seriously, if there's something the Esperanto community could do in order to
> help or explain, please let us know. Maybe the magic conversion (cx|ĉ, gx|ĝ,
> hx|ĥ, jx|ĵ, sx|ŝ, ux|ŭ)? Or the domain names?
It's nothing on your end. The timing on our side is a bit unfortunate, with the person normally doing new wiki creations (RobH) busy with the buildout of the new datacenter.
Comment 7 JeLuF 2011-03-18 20:42:42 UTC
Your change has been completed.
Please reopen this ticket if anything went wrong.
The following configuration settings have been changed:
===================================================================
Index: InitialiseSettings.php
===================================================================
--- InitialiseSettings.php	(revision 1646)
+++ InitialiseSettings.php	(working copy)
@@ -181,6 +181,7 @@
     'dewikisource' => 'Europe/Berlin',
     'dewikiversity' => 'Europe/Berlin',
     'dsbwiki' => 'Europe/Berlin',
+    'eowikisource' => 'UTC',
     'etwiki'      => 'Europe/Tallinn',
     'etwikibooks'  => 'Europe/Tallinn',
     'etwikimedia'  => 'Europe/Tallinn',
===================================================================
You can find the entire config file at
http://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php
Comment 8 John Mark Vandenberg 2011-03-18 22:07:53 UTC
http://eo.wikisource.org/
 redirects to
http://wikisource.org/wiki/%C4%88efpa%C4%9Do
Comment 9 JeLuF 2011-03-18 22:11:41 UTC
This redirect is from your browser cache. Please flush your cache.

sh-3.2$ telnet eo.wikisource.org 80
  Trying 208.80.152.2...
  Connected to text.pmtpa.wikimedia.org.
  Escape character is '^]'.
  GET / HTTP/1.0
  Host: eo.wikisource.org
  User-Agent: JeLuF

  HTTP/1.0 301 Moved Permanently
  Date: Fri, 18 Mar 2011 20:39:21 GMT
  Server: Apache
  Cache-Control: s-maxage=1200, must-revalidate, max-age=0
  Vary: Accept-Encoding,Cookie
  Last-Modified: Fri, 18 Mar 2011 20:39:21 GMT
  Location: http://eo.wikisource.org/wiki/%C4%88efpa%C4%9Do
Comment 10 Castelobranco 2011-03-18 23:56:47 UTC
(In reply to comment #9)
> This redirect is from your browser cache. Please flush your cache.

Still redirecting (with cache flushed).
Comment 11 Sam Reed (reedy) 2011-03-19 01:05:41 UTC
Works for me now. Didn't earlier...
Comment 12 Kevin 2011-03-19 01:45:43 UTC
It's working for me now too.
Comment 13 Kevin 2011-03-19 14:35:13 UTC
It's redirecting again...
Comment 14 Antoine "hashar" Musso (WMF) 2011-03-19 14:55:47 UTC
We had to purge some pages from the squid.

http://eo.wikisource.org (NO TRAILING SLASH) was cached with a Location to http://wikisource.org/.
Comment 15 Antoine "hashar" Musso (WMF) 2011-03-19 14:58:26 UTC
Full headers:

before purge:
$ curl -i http://eo.wikisource.org
HTTP/1.0 301 Moved Permanently
Date: Fri, 18 Mar 2011 09:46:37 GMT
Server: Apache
Location: http://wikisource.org/
Cache-Control: max-age=2592000
Expires: Sun, 17 Apr 2011 09:46:37 GMT
Content-Length: 230
Content-Type: text/html; charset=iso-8859-1
X-Cache: HIT from sq77.wikimedia.org
X-Cache-Lookup: HIT from sq77.wikimedia.org:3128
Age: 104210
X-Cache: HIT from amssq31.esams.wikimedia.org
X-Cache-Lookup: HIT from amssq31.esams.wikimedia.org:3128
X-Cache: MISS from amssq44.esams.wikimedia.org
X-Cache-Lookup: MISS from amssq44.esams.wikimedia.org:80
Connection: close

After purge:

$ curl -i http://eo.wikisource.org
HTTP/1.0 301 Moved Permanently
Date: Sat, 19 Mar 2011 14:43:54 GMT
Server: Apache
Cache-Control: s-maxage=1200, must-revalidate, max-age=0
Vary: Accept-Encoding,Cookie
Last-Modified: Sat, 19 Mar 2011 14:43:54 GMT
Location: http://eo.wikisource.org/wiki/%C4%88efpa%C4%9Do
Content-Length: 0
Content-Type: text/html; charset=utf-8
X-Cache: MISS from sq77.wikimedia.org
X-Cache-Lookup: HIT from sq77.wikimedia.org:3128
Age: 562
X-Cache: HIT from amssq31.esams.wikimedia.org
X-Cache-Lookup: HIT from amssq31.esams.wikimedia.org:3128
X-Cache: MISS from amssq40.esams.wikimedia.org
X-Cache-Lookup: MISS from amssq40.esams.wikimedia.org:80
Connection: close
Comment 16 Hydriz Scholz 2011-03-23 15:39:10 UTC
Closing this bug as the problem with eo.wikisource.org appears to be solved.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links